System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeReturnReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class provides a minimal implementation of the interface of the abstract parent class .You typically will not need to use directly. When the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, it applies the to each Web method and by default sets the attribute's property to , another class derived from .

Provides a minimal reader of incoming response return values for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  An initializer is an object passed as a parameter to the method. For the class, the initializer is the instance referred to by the keyword this, unless the parameter value has a void return type, in which case the initializer is set to null.

  The method is invoked during service initialization. Later, at the time a response is processed, the initializer object is passed to the method of another instance. The other instance takes the call to the method.

  Returns the parameter passed to the method.

  The parameter passed to the method.

  A that indicates the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method does nothing.

  This method is invoked at the time a response is processed. The input parameter, , is another instance of , obtained during client initialization.

  Initializes an instance of the class.

  Another instance of the class, on which the method was previously called. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  The class's implementation of the method does no reading. Instead it simply returns the object passed as a parameter.

  Returns the input HTTP response stream.

  The input HTTP response stream.

  A representation of the HTTP response sent by a Web service, containing the output message for an operation. An output stream whose content is the body of the HTTP response represented by the parameter. 1.0.5000.0 2.0.0.0